function GetRateModHelper( rate )
	return GAMESTATE:PlayerIsUsingModifier(0, rate) or GAMESTATE:PlayerIsUsingModifier(1, rate)
end

function GetRateMod()
	if GetRateModHelper('0.1xmusic') then return '0.1x Rate' end
	if GetRateModHelper('0.2xmusic') then return '0.2x Rate' end
	if GetRateModHelper('0.3xmusic') then return '0.3x Rate' end
	if GetRateModHelper('0.4xmusic') then return '0.4x Rate' end
	if GetRateModHelper('0.5xmusic') then return '0.5x Rate' end
	if GetRateModHelper('0.6xmusic') then return '0.6x Rate' end
	if GetRateModHelper('0.7xmusic') then return '0.7x Rate' end
	if GetRateModHelper('0.8xmusic') then return '0.8x Rate' end
	if GetRateModHelper('0.9xmusic') then return '0.9x Rate' end
	if GetRateModHelper('1.0xmusic') then return '' end
	if GetRateModHelper('1.1xmusic') then return '1.1x Rate' end
	if GetRateModHelper('1.2xmusic') then return '1.2x Rate' end
	if GetRateModHelper('1.3xmusic') then return '1.3x Rate' end
	if GetRateModHelper('1.4xmusic') then return '1.4x Rate' end
	if GetRateModHelper('1.5xmusic') then return '1.5x Rate' end
	if GetRateModHelper('1.6xmusic') then return '1.6x Rate' end
	if GetRateModHelper('1.7xmusic') then return '1.7x Rate' end
	if GetRateModHelper('1.8xmusic') then return '1.8x Rate' end
	if GetRateModHelper('1.9xmusic') then return '1.9x Rate' end
	if GetRateModHelper('2.0xmusic') then return '2.0x Rate' end
	return '(Unknown rate mod)'
end
